;;======================================================================
;; Copyright 2019, Matthew Welland.
;; 
;; This file is part of Megatest.
;; 
;;     Megatest is free software: you can redistribute it and/or modify
;;     it under the terms of the GNU General Public License as published by
;;     the Free Software Foundation, either version 3 of the License, or
;;     (at your option) any later version.
;; 
;;     Megatest is distributed in the hope that it will be useful,
;;     but WITHOUT ANY WARRANTY; without even the implied warranty of
;;     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;     GNU General Public License for more details.
;; 
;;     You should have received a copy of the GNU General Public License
;;     along with Megatest.  If not, see <http://www.gnu.org/licenses/>.

;;======================================================================

(declare (unit dcommonmod))
(declare (uses commonmod))
(declare (uses megamod))
(declare (uses mtargs))

(module dcommonmod
	*
	
(import scheme chicken data-structures extras)
(import (prefix sqlite3 sqlite3:)
	posix typed-records srfi-18 srfi-69 format ports srfi-1
	matchable (prefix iup iup:)
	canvas-draw
	;; blindly copied from megamod
	(prefix base64 base64:)
	(prefix dbi dbi:)
	(prefix nanomsg nmsg:)
	(prefix sqlite3 sqlite3:)
	call-with-environment-variables
	csv
	csv-xml
	data-structures
	directory-utils
	dot-locking
	extras
	files
	fmt
	format
	hostinfo
	http-client
	intarweb
	irregex
	matchable
	md5
	message-digest
	pathname-expand
	pkts
	ports
	posix
	;; queue
	regex
	regex-case
	s11n
	sparse-vectors
	spiffy
	spiffy-directory-listing
	spiffy-request-vars
	sql-de-lite
	srfi-1
	srfi-4
	srfi-13
	srfi-18
	srfi-69
	stack
	stml2
	tcp
	typed-records
	udp
	uri-common
	z3
	)

(use (prefix mtconfigf configf:))

(import commonmod)
(import megamod)
(import canvas-draw)
(import canvas-draw-iup)
(use (prefix iup iup:))
(import (prefix mtargs args:))

(define *tim* (iup:timer))

;; (use (prefix ulex ulex:))

(include "common_records.scm")
(include "db_records.scm")
(include "key_records.scm")
(include "run_records.scm")
(include "task_records.scm")
(include "test_records.scm")
(include "vg_records.scm")

(include "dcommon-inc.scm")
(include "dashboard-tests-inc.scm")
(include "vg-inc.scm")
(include "tree-inc.scm")
(include "dashboard-context-menu-inc.scm")
(include "ezsteps-inc.scm")
(include "gutils-inc.scm")

)
